Bug 508825 - virt-viewer doesnt have "full screen" hot key
virt-viewer doesnt have "full screen" hot key
Product: Fedora
Classification: Fedora
Component: virt-viewer (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: 529656 (view as bug list)
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
Reported: 2009-06-30 01:48 EDT by Mohammed Arafa
Modified: 2014-03-21 08:43 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-03 10:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2009-06-30 01:48:31 EDT
Description of problem:
virt-viewer doesnt have "full screen" hot key. to exit full screen you need to hit "view/full screen". 

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. enter "full screen" mode via mouse/menu
2. exit "full screen" mode via menu
Actual results:

Expected results:
hit a hot key and enter/exit full screen mode

Additional info:
Comment 1 Mark McLoughlin 2009-07-03 10:19:40 EDT
Seems reasonable to me that F11 should operate on virt-viewer rather than being sent to the guest.

Related is bug #499362, which makes sure key combos like Alt-F go to the guest rather than being handled by virt-viewer.

Comment 2 Daniel Berrange 2009-07-03 10:30:20 EDT
We explicitly pass *all* keys to the guest when keyboard is grabbed.

For the host functions the user always has the option of using the mouse / menu. For guest functions, if we intercept certain keys, there is a very real possibility that the user can be left with no possible way to access something important in the guest OS. 

ie, if we leave F11 for the host there is potentially serious limitation for guest usage. If we pass F11 to guest, there is only mild inconvenience for host usage.

Thus on balance passing everything to the guest is the better solution.
Comment 3 Mohammed Arafa 2009-07-03 18:20:48 EDT
then how about having a preference setting where ctl+alt not only returns the mouse back to host control but also leaves full screen display and leave it up to the end user to make his choice
Comment 4 Mark McLoughlin 2009-10-29 11:32:42 EDT
*** Bug 529656 has been marked as a duplicate of this bug. ***
Comment 5 Bruce O. Benson 2012-06-01 14:11:11 EDT
I can't find anything about using a mouse/menu to switch out of full screen mode in virt-viewer.  Nothing on the virt-manager website.  The virt-viewer man page doesn't really tell how this is done on the fly.

Basically, users get trapped in full screen mode.  Please reopen this until there is some way for users to easily get out of full-screen mode.
Comment 6 cornel panceac 2014-03-21 05:19:50 EDT
This still happens on fedora 20 x64. Please reopen it. The solution in comment #3 seem reasonable to me. If there's no way to exit full screen, the kvm client has to be shutdown.
Comment 7 Cole Robinson 2014-03-21 06:35:36 EDT
I assume you are using VNC? There's a problem with gtk-vnc and the fullscreen toolbar:


Affects virt-viewer, vinagre, and virt-manager at least
Comment 8 cornel panceac 2014-03-21 06:41:27 EDT
not using vnc, just switch to full screen from within virt-manager/gnome-shell.
Comment 9 Cole Robinson 2014-03-21 07:25:55 EDT
I meant, your guest is using VNC graphics. sudo virsh dumpxml $vmname | grep vnc
Comment 10 cornel panceac 2014-03-21 08:36:40 EDT
well, this is interesting. i get:

<graphics type='vnc' port='-1' autoport='yes'/>

what can i do about it? if i leave it this way, i can connect through a vpn client (which has a fullscreen toggle)?
Comment 11 Cole Robinson 2014-03-21 08:39:07 EDT
in virt-manager, go to vm details->graphics and change it to 'spice'. fullscreen shouldn't have the issue anymore
Comment 12 cornel panceac 2014-03-21 08:43:08 EDT
yes sir, it works now, thank you very much!

Note You need to log in before you can comment on or make changes to this bug.